/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */

part of "../../flutter_ume_kit_ui_plus.dart";

class TouchIndicator extends StatelessWidget
    implements PluggableWithNestedWidget {
  const TouchIndicator({Key? key}) : super(key: key);

  @override
  Widget buildWidget(BuildContext? context) => this;

  @override
  String get name => "触摸显示";

  @override
  String get displayName => "触摸显示";

  @override
  void onTrigger() {}

  @override
  ImageProvider<Object> get iconImageProvider =>
      MemoryImage(iconBytesWithTouchIndicator);

  @override
  Widget buildNestedWidget(Widget child) {
    return ti.TouchIndicator(child: child);
  }

  @override
  Widget build(BuildContext context) {
    return Container();
  }
}
